#include "caur.h"

#include <stdlib.h>
#include <sys/wait.h>

int perform_system_upgrade() {
    int result = system("sudo pacman -Syu");

    if (result == -1) {
        fprintf(stderr, "Failed to execute system upgrade\n");
        return 1;
    } else if (WIFEXITED(result) && WEXITSTATUS(result) != 0) {
        fprintf(stderr, "System upgrade failed with exit status %d.\n", WEXITSTATUS(result));
        return 1;
    }

    printf("System upgrade completed successfully.\n");
    return 0;
}